import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputRegel extends JavaObject {
    enmRevision: number;
    id: number;
    daten: Array<Number>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputRegel;
    static transpilerToJSON(obj: KursblockungInputRegel): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputRegel>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputRegel(obj: unknown): KursblockungInputRegel;
